|  | Home | Documentation | ds__SignatureMethodType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
ds__SignatureMethodType Struct Reference

"http://www.w3.org/2000/09/xmldsig#":SignatureMethodType is a complexType. More...

`#include <ds.h>`

## Public Attributes

int * | HMACOutputLength
| Element HMACOutputLength of type "http://www.w3.org/2000/09/xmldsig#":HMACOutputLengthType.
char * | Algorithm
| Required attribute.

## Detailed Description

"http://www.w3.org/2000/09/xmldsig#":SignatureMethodType is a complexType.

## Member Data Documentation

## ◆ Algorithm

char* ds__SignatureMethodType::Algorithm

Required attribute.

TODO: <any namespace="##other" minOccurs="0" maxOccurs="unbounded"> Schema extensibility is user-definable. Consult the protocol documentation to change and/or insert declarations. Use wsdl2h option -x to remove this element. Attribute Algorithm of type xs:anyURI.

## ◆ HMACOutputLength

int* ds__SignatureMethodType::HMACOutputLength

Element HMACOutputLength of type "http://www.w3.org/2000/09/xmldsig#":HMACOutputLengthType.

Optional element.

The documentation for this struct was generated from the following file:

- ds.h